Page MenuHomePhabricator

Hive access for Sam Patton
Closed, ResolvedPublic

Description

Hi teammates, I work in online fundraising and would benefit from Hive access for some banner monitoring that I need to do. Could someone please help me get set up or tell me what approvals I should provide? Thank you!

Event Timeline

spatton created this task.Mar 19 2020, 3:30 PM
nettrom_WMF added a subscriber: nettrom_WMF.

Tagging Analytics Engineering, I'm hoping they can help figure out what exactly is needed and how to make that happen.

Restricted Application added a project: Operations. · View Herald TranscriptMar 19 2020, 4:34 PM
Nuria added a subscriber: Nuria.Mar 19 2020, 4:36 PM

Please take a look at https://wikitech.wikimedia.org/wiki/Analytics/Data_access

You need to provide ssh keys

mpopov added a subscriber: mpopov.Mar 19 2020, 5:15 PM

@spatton: we have some additional information on SSH Keys, Stat machines, Notebooks, HUE, Datagrip, Groups in our onboarding doc that might be useful to you.

Nuria added a comment.Mar 19 2020, 5:19 PM

@spatton: Can you also explain a little what are you trying to do? (this is not needed for access but it help us to understand your use case)

Volans triaged this task as Medium priority.Mar 23 2020, 10:21 AM
Volans moved this task from Untriaged to Awaiting User Input on the SRE-Access-Requests board.
Ottomata moved this task from Incoming to Radar on the Analytics board.Mar 23 2020, 3:42 PM
Volans assigned this task to spatton.Mar 26 2020, 10:10 AM
Volans added a subscriber: Volans.

@spatton: gentle reminder for the above request.

Dzahn renamed this task from Hive access to Hive access for Sam Patton.Mar 27 2020, 9:53 AM

Just a reminder than once a conversation with @Nuria or someone else from analytics is done to understand your needs, to follow the procedure at https://wikitech.wikimedia.org/wiki/Production_access , including the template for requests, which will help expedite any request.

MoritzMuehlenhoff changed the task status from Open to Stalled.Apr 7 2020, 6:02 AM
Dzahn added a subscriber: Dzahn.Jun 1 2020, 1:37 PM

Hi, gentle prod. Any updates on this? It has been open for a while now.

mpopov added a comment.Jun 1 2020, 7:08 PM

I've reached out to @spatton on Slack about this.

spatton added a comment.EditedJun 3 2020, 3:50 PM

@Dzahn, @jcrespo, @mpopov, @nettrom_WMF, @Nuria, @Volans : thank you for the pursuit, and sorry it was necessary. Busy times :) I really appreciate your attention and patience.

Thanks for sharing the onboarding documentation, I'll check it out.

Re: description of what I'm trying to accomplish, there are a couple subjects of particular interest:

  • CentralNotice EventLogging data
  • Portal traffic data (in the last couple years, we've started running fundraising content on Portal, but it isn't served through CentralNotice)
Nuria added a comment.Jun 3 2020, 4:02 PM

Seems that your data access needs wouls be served by https://turnilo.wikimedia.org It does not seem you need access to raw data. Do you have an account on wikitech.wikimedia.org?

Aklapper edited projects, added Analytics-Radar; removed Analytics.Jun 10 2020, 6:33 AM
RobH added a subscriber: RobH.Jun 15 2020, 8:22 PM

@spatton does have a wikitech account (I checked ldap) but this still needs feedback if https://turnilo.wikimedia.org will meet their needs.

There is nothing further SRE clinic duty can do at this time to move thing request forward.

CDanis closed this task as Resolved.Jul 16 2020, 12:44 PM
CDanis added a subscriber: CDanis.

@spatton I'm going to optimistically close this assuming that Turnilo access has been sufficient for you, please do reopen if it's not!